claw::math::curve< C, Traits >::section::resolved_point Class Reference

The resolved point class is a point found on a section. More...

`#include <curve.hpp>`

## Public Types

typedef C | coordinate_type
| The type of the coordinates of the curve.

## Public Member Functions

| resolved_point (const coordinate_type &position, const section &s, const double t)
const coordinate_type & | get_position () const
const section & | get_section () const
double | get_date () const

## Detailed Description

template<typename C, typename Traits = coordinate_traits<C>>
class claw::math::curve< C, Traits >::section::resolved_point

The resolved point class is a point found on a section.

Author
  Julien Jorge

Definition at line 134 of file curve.hpp.

## Member Typedef Documentation

## coordinate_type

template<typename C, typename Traits = coordinate_traits<C>>

typedef C claw::math::curve< C, Traits >::section::resolved_point::coordinate_type

The type of the coordinates of the curve.

Definition at line 138 of file curve.hpp.

The documentation for this class was generated from the following file:

- curve.hpp